Subject: Re: Git counterpart to SVN bugtraq properties?

From: Thomas Koch <[email-masked]>
Date: Fri, 4 Oct 2013 14:36:41 +0200

On Friday, October 04, 2013 01:22:08 PM Marc Strapetz wrote:
> On 04.10.2013 11:15, Thomas Koch wrote:
> > On Wednesday, July 17, 2013 03:03:14 PM Marc Strapetz wrote:
> >> I'm looking for a specification or guidelines on how a Git client should
> >> integrate with bug tracking systems. For SVN, one can use
> >> bugtraq-properties [1] to specify e.g. the issue tracker URL ...
> > 
> > There's seldom a question that has not been asked before. There already
> > is a popular standard for project information like the link to a
> > bugtracker and much more: https://en.wikipedia.org/wiki/DOAP
> > (Description of a Project)
> 
> I can't see how that relates to concepts like (SVN) bugtraq properties.

You asked for a place to write the bugtracker URL to. DOAP defines a data 
structure that also contains the bugtracker URL of a project. Just place a 
doap file in your Git repo and parse it.

Regards, Thomas Koch